﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace FlexGridXamarin
{
    public partial class MainPage : ContentPage
    {
        ObservableCollection<Product> products;
        public MainPage()
        {
            InitializeComponent();
            products = new ObservableCollection<Product>();
            var random = new Random();
            for(int i=0;i<20;i++)
            {
                products.Add(new Product() 
                {
                    Id=i,
                    Name="Product "+i,
                    Price = random.Next(100,1000),
                });
            }
            flexGridEANVendita.ItemsSource = products;
        }
    }

    public class Product
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public double Price { get; set; }
    }
}
